## WMS Send Ack request WMS Send Ack request |

## Functions

QmiMessageWmsSendAckInput * | qmi_message_wms_send_ack_input_new ()
QmiMessageWmsSendAckInput * | qmi_message_wms_send_ack_input_ref ()
void | qmi_message_wms_send_ack_input_unref ()
gboolean | qmi_message_wms_send_ack_input_get_sms_on_ims ()
gboolean | qmi_message_wms_send_ack_input_set_sms_on_ims ()
gboolean | qmi_message_wms_send_ack_input_get_3gpp_failure_information ()
gboolean | qmi_message_wms_send_ack_input_set_3gpp_failure_information ()
gboolean | qmi_message_wms_send_ack_input_get_3gpp2_failure_information ()
gboolean | qmi_message_wms_send_ack_input_set_3gpp2_failure_information ()
gboolean | qmi_message_wms_send_ack_input_get_information ()
gboolean | qmi_message_wms_send_ack_input_set_information ()
QmiMessageWmsSendAckOutput * | qmi_message_wms_send_ack_output_ref ()
void | qmi_message_wms_send_ack_output_unref ()
gboolean | qmi_message_wms_send_ack_output_get_result ()
gboolean | qmi_message_wms_send_ack_output_get_failure_cause ()
void | qmi_client_wms_send_ack ()
QmiMessageWmsSendAckOutput * | qmi_client_wms_send_ack_finish ()

## Types and Values

| QmiMessageWmsSendAckInput
| QmiMessageWmsSendAckOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsSendAckInput
        ╰── QmiMessageWmsSendAckOutput

## Description

## Functions

### qmi_message_wms_send_ack_input_new ()

    QmiMessageWmsSendAckInput *
    qmi_message_wms_send_ack_input_new (void);

Allocates a new QmiMessageWmsSendAckInput.

#### Returns

the newly created QmiMessageWmsSendAckInput. The returned value should be freed with `qmi_message_wms_send_ack_input_unref()`.

Since: 1.28

### qmi_message_wms_send_ack_input_ref ()

    QmiMessageWmsSendAckInput *
    qmi_message_wms_send_ack_input_ref (QmiMessageWmsSendAckInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSendAckInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wms_send_ack_input_unref ()

    void
    qmi_message_wms_send_ack_input_unref (QmiMessageWmsSendAckInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSendAckInput. |

Since: 1.28

### qmi_message_wms_send_ack_input_get_sms_on_ims ()

    gboolean
    qmi_message_wms_send_ack_input_get_sms_on_ims
                                   (QmiMessageWmsSendAckInput *self,
                                    gboolean *value_sms_on_ims,
                                    GError **error);

Get the 'SMS on IMS' field from `self` .

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_sms_on_ims | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_set_sms_on_ims ()

    gboolean
    qmi_message_wms_send_ack_input_set_sms_on_ims
                                   (QmiMessageWmsSendAckInput *self,
                                    gboolean value_sms_on_ims,
                                    GError **error);

Set the 'SMS on IMS' field in the message.

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_sms_on_ims | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_get_3gpp_failure_information ()

    gboolean
    qmi_message_wms_send_ack_input_get_3gpp_failure_information
                                   (QmiMessageWmsSendAckInput *self,
                                    QmiWmsGsmUmtsRpCause *value_3gpp_failure_information_rp_cause,
                                    QmiWmsGsmUmtsTpCause *value_3gpp_failure_information_tp_cause,
                                    GError **error);

Get the '3GPP Failure Information' field from `self` .

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_3gpp_failure_information_rp_cause | a placeholder for the output QmiWmsGsmUmtsRpCause, or `NULL` if not required. | [out]
value_3gpp_failure_information_tp_cause | a placeholder for the output QmiWmsGsmUmtsTpCause, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_set_3gpp_failure_information ()

    gboolean
    qmi_message_wms_send_ack_input_set_3gpp_failure_information
                                   (QmiMessageWmsSendAckInput *self,
                                    QmiWmsGsmUmtsRpCause value_3gpp_failure_information_rp_cause,
                                    QmiWmsGsmUmtsTpCause value_3gpp_failure_information_tp_cause,
                                    GError **error);

Set the '3GPP Failure Information' field in the message.

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_3gpp_failure_information_rp_cause | a QmiWmsGsmUmtsRpCause. |
value_3gpp_failure_information_tp_cause | a QmiWmsGsmUmtsTpCause. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_get_3gpp2_failure_information ()

    gboolean
    qmi_message_wms_send_ack_input_get_3gpp2_failure_information
                                   (QmiMessageWmsSendAckInput *self,
                                    QmiWmsCdmaErrorClass *value_3gpp2_failure_information_error_class,
                                    QmiWmsCdmaCauseCode *value_3gpp2_failure_information_cause_code,
                                    GError **error);

Get the '3GPP2 Failure Information' field from `self` .

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_3gpp2_failure_information_error_class | a placeholder for the output QmiWmsCdmaErrorClass, or `NULL` if not required. | [out]
value_3gpp2_failure_information_cause_code | a placeholder for the output QmiWmsCdmaCauseCode, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_set_3gpp2_failure_information ()

    gboolean
    qmi_message_wms_send_ack_input_set_3gpp2_failure_information
                                   (QmiMessageWmsSendAckInput *self,
                                    QmiWmsCdmaErrorClass value_3gpp2_failure_information_error_class,
                                    QmiWmsCdmaCauseCode value_3gpp2_failure_information_cause_code,
                                    GError **error);

Set the '3GPP2 Failure Information' field in the message.

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_3gpp2_failure_information_error_class | a QmiWmsCdmaErrorClass. |
value_3gpp2_failure_information_cause_code | a QmiWmsCdmaCauseCode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_get_information ()

    gboolean
    qmi_message_wms_send_ack_input_get_information
                                   (QmiMessageWmsSendAckInput *self,
                                    guint32 *value_information_transaction_id,
                                    QmiWmsMessageProtocol *value_information_message_protocol,
                                    gboolean *value_information_success,
                                    GError **error);

Get the 'Information' field from `self` .

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_information_transaction_id | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_information_message_protocol | a placeholder for the output QmiWmsMessageProtocol, or `NULL` if not required. | [out]
value_information_success | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_input_set_information ()

    gboolean
    qmi_message_wms_send_ack_input_set_information
                                   (QmiMessageWmsSendAckInput *self,
                                    guint32 value_information_transaction_id,
                                    QmiWmsMessageProtocol value_information_message_protocol,
                                    gboolean value_information_success,
                                    GError **error);

Set the 'Information' field in the message.

#### Parameters

self | a QmiMessageWmsSendAckInput. |
value_information_transaction_id | a guint32. |
value_information_message_protocol | a QmiWmsMessageProtocol. |
value_information_success | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_output_ref ()

    QmiMessageWmsSendAckOutput *
    qmi_message_wms_send_ack_output_ref (QmiMessageWmsSendAckOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSendAckOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wms_send_ack_output_unref ()

    void
    qmi_message_wms_send_ack_output_unref (QmiMessageWmsSendAckOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSendAckOutput. |

Since: 1.28

### qmi_message_wms_send_ack_output_get_result ()

    gboolean
    qmi_message_wms_send_ack_output_get_result
                                   (QmiMessageWmsSendAckOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsSendAckOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_message_wms_send_ack_output_get_failure_cause ()

    gboolean
    qmi_message_wms_send_ack_output_get_failure_cause
                                   (QmiMessageWmsSendAckOutput *self,
                                    QmiWmsAckFailureCause *value_failure_cause,
                                    GError **error);

Get the 'Failure Cause' field from `self` .

#### Parameters

self | a QmiMessageWmsSendAckOutput. |
value_failure_cause | a placeholder for the output QmiWmsAckFailureCause, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_client_wms_send_ack ()

    void
    qmi_client_wms_send_ack (QmiClientWms *self,
                             QmiMessageWmsSendAckInput *input,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Send Ack request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_send_ack_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsSendAckInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wms_send_ack_finish ()

    QmiMessageWmsSendAckOutput *
    qmi_client_wms_send_ack_finish (QmiClientWms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wms_send_ack()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_send_ack()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsSendAckOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_send_ack_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWmsSendAckInput

    typedef struct _QmiMessageWmsSendAckInput QmiMessageWmsSendAckInput;

The QmiMessageWmsSendAckInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageWmsSendAckOutput

    typedef struct _QmiMessageWmsSendAckOutput QmiMessageWmsSendAckOutput;

The QmiMessageWmsSendAckOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28